<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:08 AEST 2019 -->
<title>TreeGenerator.TreeType (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="TreeGenerator.TreeType (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":9,"i2":10,"i3":9,"i4":9,"i5":9,"i6":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/sk89q/worldedit/util/TreeGenerator.html" title="class in com.sk89q.worldedit.util"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../com/sk89q/worldedit/util/WeightedChoice.html" title="class in com.sk89q.worldedit.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/sk89q/worldedit/util/TreeGenerator.TreeType.html" target="_top">Frames</a></li>
<li><a href="TreeGenerator.TreeType.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#enum.constant.summary">Enum Constants</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#enum.constant.detail">Enum Constants</a>&nbsp;|&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.util</div>
<h2 title="Enum TreeGenerator.TreeType" class="title">Enum TreeGenerator.TreeType</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>java.lang.Enum&lt;<a href="../../../../com/sk89q/worldedit/util/TreeGenerator.TreeType.html" title="enum in com.sk89q.worldedit.util">TreeGenerator.TreeType</a>&gt;</li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.util.TreeGenerator.TreeType</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.io.Serializable, java.lang.Comparable&lt;<a href="../../../../com/sk89q/worldedit/util/TreeGenerator.TreeType.html" title="enum in com.sk89q.worldedit.util">TreeGenerator.TreeType</a>&gt;</dd>
</dl>
<dl>
<dt>Enclosing class:</dt>
<dd><a href="../../../../com/sk89q/worldedit/util/TreeGenerator.html" title="class in com.sk89q.worldedit.util">TreeGenerator</a></dd>
</dl>
<hr>
<br>
<pre>public static enum <span class="typeNameLabel">TreeGenerator.TreeType</span>
extends java.lang.Enum&lt;<a href="../../../../com/sk89q/worldedit/util/TreeGenerator.TreeType.html" title="enum in com.sk89q.worldedit.util">TreeGenerator.TreeType</a>&gt;</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== ENUM CONSTANT SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="enum.constant.summary">
<!--   -->
</a>
<h3>Enum Constant Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Enum Constant Summary table, listing enum constants, and an explanation">
<caption><span>Enum Constants</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Enum Constant and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/TreeGenerator.TreeType.html#ACACIA">ACACIA</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/TreeGenerator.TreeType.html#BIG_TREE">BIG_TREE</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/TreeGenerator.TreeType.html#BIRCH">BIRCH</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/TreeGenerator.TreeType.html#BROWN_MUSHROOM">BROWN_MUSHROOM</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/TreeGenerator.TreeType.html#DARK_OAK">DARK_OAK</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/TreeGenerator.TreeType.html#JUNGLE">JUNGLE</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/TreeGenerator.TreeType.html#JUNGLE_BUSH">JUNGLE_BUSH</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/TreeGenerator.TreeType.html#MEGA_REDWOOD">MEGA_REDWOOD</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/TreeGenerator.TreeType.html#PINE">PINE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/TreeGenerator.TreeType.html#RANDOM">RANDOM</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/TreeGenerator.TreeType.html#RANDOM_BIRCH">RANDOM_BIRCH</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/TreeGenerator.TreeType.html#RANDOM_JUNGLE">RANDOM_JUNGLE</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/TreeGenerator.TreeType.html#RANDOM_MUSHROOM">RANDOM_MUSHROOM</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/TreeGenerator.TreeType.html#RANDOM_REDWOOD">RANDOM_REDWOOD</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/TreeGenerator.TreeType.html#RED_MUSHROOM">RED_MUSHROOM</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/TreeGenerator.TreeType.html#REDWOOD">REDWOOD</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/TreeGenerator.TreeType.html#SHORT_JUNGLE">SHORT_JUNGLE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/TreeGenerator.TreeType.html#SMALL_JUNGLE">SMALL_JUNGLE</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/TreeGenerator.TreeType.html#SWAMP">SWAMP</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/TreeGenerator.TreeType.html#TALL_BIRCH">TALL_BIRCH</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/TreeGenerator.TreeType.html#TALL_REDWOOD">TALL_REDWOOD</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/TreeGenerator.TreeType.html#TREE">TREE</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>com.google.common.collect.ImmutableList&lt;java.lang.String&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/TreeGenerator.TreeType.html#lookupKeys">lookupKeys</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/TreeGenerator.TreeType.html#generate-com.sk89q.worldedit.EditSession-com.sk89q.worldedit.math.BlockVector3-">generate</a></span>(<a href="../../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit">EditSession</a>&nbsp;editSession,
        <a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;pos)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static java.util.Set&lt;java.lang.String&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/TreeGenerator.TreeType.html#getAliases--">getAliases</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/TreeGenerator.TreeType.html#getName--">getName</a></span>()</code>
<div class="block">Get user-friendly tree type name.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static java.util.Set&lt;java.lang.String&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/TreeGenerator.TreeType.html#getPrimaryAliases--">getPrimaryAliases</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static <a href="../../../../com/sk89q/worldedit/util/TreeGenerator.TreeType.html" title="enum in com.sk89q.worldedit.util">TreeGenerator.TreeType</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/TreeGenerator.TreeType.html#lookup-java.lang.String-">lookup</a></span>(java.lang.String&nbsp;name)</code>
<div class="block">Return type from name.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>static <a href="../../../../com/sk89q/worldedit/util/TreeGenerator.TreeType.html" title="enum in com.sk89q.worldedit.util">TreeGenerator.TreeType</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/TreeGenerator.TreeType.html#valueOf-java.lang.String-">valueOf</a></span>(java.lang.String&nbsp;name)</code>
<div class="block">Returns the enum constant of this type with the specified name.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>static <a href="../../../../com/sk89q/worldedit/util/TreeGenerator.TreeType.html" title="enum in com.sk89q.worldedit.util">TreeGenerator.TreeType</a>[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/TreeGenerator.TreeType.html#values--">values</a></span>()</code>
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Enum">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Enum</h3>
<code>clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>getClass, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ ENUM CONSTANT DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="enum.constant.detail">
<!--   -->
</a>
<h3>Enum Constant Detail</h3>
<a name="TREE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TREE</h4>
<pre>public static final&nbsp;<a href="../../../../com/sk89q/worldedit/util/TreeGenerator.TreeType.html" title="enum in com.sk89q.worldedit.util">TreeGenerator.TreeType</a> TREE</pre>
</li>
</ul>
<a name="BIG_TREE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BIG_TREE</h4>
<pre>public static final&nbsp;<a href="../../../../com/sk89q/worldedit/util/TreeGenerator.TreeType.html" title="enum in com.sk89q.worldedit.util">TreeGenerator.TreeType</a> BIG_TREE</pre>
</li>
</ul>
<a name="REDWOOD">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REDWOOD</h4>
<pre>public static final&nbsp;<a href="../../../../com/sk89q/worldedit/util/TreeGenerator.TreeType.html" title="enum in com.sk89q.worldedit.util">TreeGenerator.TreeType</a> REDWOOD</pre>
</li>
</ul>
<a name="TALL_REDWOOD">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TALL_REDWOOD</h4>
<pre>public static final&nbsp;<a href="../../../../com/sk89q/worldedit/util/TreeGenerator.TreeType.html" title="enum in com.sk89q.worldedit.util">TreeGenerator.TreeType</a> TALL_REDWOOD</pre>
</li>
</ul>
<a name="MEGA_REDWOOD">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MEGA_REDWOOD</h4>
<pre>public static final&nbsp;<a href="../../../../com/sk89q/worldedit/util/TreeGenerator.TreeType.html" title="enum in com.sk89q.worldedit.util">TreeGenerator.TreeType</a> MEGA_REDWOOD</pre>
</li>
</ul>
<a name="RANDOM_REDWOOD">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RANDOM_REDWOOD</h4>
<pre>public static final&nbsp;<a href="../../../../com/sk89q/worldedit/util/TreeGenerator.TreeType.html" title="enum in com.sk89q.worldedit.util">TreeGenerator.TreeType</a> RANDOM_REDWOOD</pre>
</li>
</ul>
<a name="BIRCH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BIRCH</h4>
<pre>public static final&nbsp;<a href="../../../../com/sk89q/worldedit/util/TreeGenerator.TreeType.html" title="enum in com.sk89q.worldedit.util">TreeGenerator.TreeType</a> BIRCH</pre>
</li>
</ul>
<a name="TALL_BIRCH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TALL_BIRCH</h4>
<pre>public static final&nbsp;<a href="../../../../com/sk89q/worldedit/util/TreeGenerator.TreeType.html" title="enum in com.sk89q.worldedit.util">TreeGenerator.TreeType</a> TALL_BIRCH</pre>
</li>
</ul>
<a name="RANDOM_BIRCH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RANDOM_BIRCH</h4>
<pre>public static final&nbsp;<a href="../../../../com/sk89q/worldedit/util/TreeGenerator.TreeType.html" title="enum in com.sk89q.worldedit.util">TreeGenerator.TreeType</a> RANDOM_BIRCH</pre>
</li>
</ul>
<a name="JUNGLE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>JUNGLE</h4>
<pre>public static final&nbsp;<a href="../../../../com/sk89q/worldedit/util/TreeGenerator.TreeType.html" title="enum in com.sk89q.worldedit.util">TreeGenerator.TreeType</a> JUNGLE</pre>
</li>
</ul>
<a name="SMALL_JUNGLE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SMALL_JUNGLE</h4>
<pre>public static final&nbsp;<a href="../../../../com/sk89q/worldedit/util/TreeGenerator.TreeType.html" title="enum in com.sk89q.worldedit.util">TreeGenerator.TreeType</a> SMALL_JUNGLE</pre>
</li>
</ul>
<a name="SHORT_JUNGLE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SHORT_JUNGLE</h4>
<pre>public static final&nbsp;<a href="../../../../com/sk89q/worldedit/util/TreeGenerator.TreeType.html" title="enum in com.sk89q.worldedit.util">TreeGenerator.TreeType</a> SHORT_JUNGLE</pre>
</li>
</ul>
<a name="RANDOM_JUNGLE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RANDOM_JUNGLE</h4>
<pre>public static final&nbsp;<a href="../../../../com/sk89q/worldedit/util/TreeGenerator.TreeType.html" title="enum in com.sk89q.worldedit.util">TreeGenerator.TreeType</a> RANDOM_JUNGLE</pre>
</li>
</ul>
<a name="JUNGLE_BUSH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>JUNGLE_BUSH</h4>
<pre>public static final&nbsp;<a href="../../../../com/sk89q/worldedit/util/TreeGenerator.TreeType.html" title="enum in com.sk89q.worldedit.util">TreeGenerator.TreeType</a> JUNGLE_BUSH</pre>
</li>
</ul>
<a name="RED_MUSHROOM">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RED_MUSHROOM</h4>
<pre>public static final&nbsp;<a href="../../../../com/sk89q/worldedit/util/TreeGenerator.TreeType.html" title="enum in com.sk89q.worldedit.util">TreeGenerator.TreeType</a> RED_MUSHROOM</pre>
</li>
</ul>
<a name="BROWN_MUSHROOM">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BROWN_MUSHROOM</h4>
<pre>public static final&nbsp;<a href="../../../../com/sk89q/worldedit/util/TreeGenerator.TreeType.html" title="enum in com.sk89q.worldedit.util">TreeGenerator.TreeType</a> BROWN_MUSHROOM</pre>
</li>
</ul>
<a name="RANDOM_MUSHROOM">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RANDOM_MUSHROOM</h4>
<pre>public static final&nbsp;<a href="../../../../com/sk89q/worldedit/util/TreeGenerator.TreeType.html" title="enum in com.sk89q.worldedit.util">TreeGenerator.TreeType</a> RANDOM_MUSHROOM</pre>
</li>
</ul>
<a name="SWAMP">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SWAMP</h4>
<pre>public static final&nbsp;<a href="../../../../com/sk89q/worldedit/util/TreeGenerator.TreeType.html" title="enum in com.sk89q.worldedit.util">TreeGenerator.TreeType</a> SWAMP</pre>
</li>
</ul>
<a name="ACACIA">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ACACIA</h4>
<pre>public static final&nbsp;<a href="../../../../com/sk89q/worldedit/util/TreeGenerator.TreeType.html" title="enum in com.sk89q.worldedit.util">TreeGenerator.TreeType</a> ACACIA</pre>
</li>
</ul>
<a name="DARK_OAK">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DARK_OAK</h4>
<pre>public static final&nbsp;<a href="../../../../com/sk89q/worldedit/util/TreeGenerator.TreeType.html" title="enum in com.sk89q.worldedit.util">TreeGenerator.TreeType</a> DARK_OAK</pre>
</li>
</ul>
<a name="PINE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PINE</h4>
<pre>public static final&nbsp;<a href="../../../../com/sk89q/worldedit/util/TreeGenerator.TreeType.html" title="enum in com.sk89q.worldedit.util">TreeGenerator.TreeType</a> PINE</pre>
</li>
</ul>
<a name="RANDOM">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>RANDOM</h4>
<pre>public static final&nbsp;<a href="../../../../com/sk89q/worldedit/util/TreeGenerator.TreeType.html" title="enum in com.sk89q.worldedit.util">TreeGenerator.TreeType</a> RANDOM</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="lookupKeys">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>lookupKeys</h4>
<pre>public final&nbsp;com.google.common.collect.ImmutableList&lt;java.lang.String&gt; lookupKeys</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="values--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>values</h4>
<pre>public static&nbsp;<a href="../../../../com/sk89q/worldedit/util/TreeGenerator.TreeType.html" title="enum in com.sk89q.worldedit.util">TreeGenerator.TreeType</a>[]&nbsp;values()</pre>
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.  This method may be used to iterate
over the constants as follows:
<pre>
for (TreeGenerator.TreeType c : TreeGenerator.TreeType.values())
&nbsp;   System.out.println(c);
</pre></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>an array containing the constants of this enum type, in the order they are declared</dd>
</dl>
</li>
</ul>
<a name="valueOf-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>valueOf</h4>
<pre>public static&nbsp;<a href="../../../../com/sk89q/worldedit/util/TreeGenerator.TreeType.html" title="enum in com.sk89q.worldedit.util">TreeGenerator.TreeType</a>&nbsp;valueOf(java.lang.String&nbsp;name)</pre>
<div class="block">Returns the enum constant of this type with the specified name.
The string must match <i>exactly</i> an identifier used to declare an
enum constant in this type.  (Extraneous whitespace characters are 
not permitted.)</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - the name of the enum constant to be returned.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the enum constant with the specified name</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalArgumentException</code> - if this enum type has no constant with the specified name</dd>
<dd><code>java.lang.NullPointerException</code> - if the argument is null</dd>
</dl>
</li>
</ul>
<a name="getAliases--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAliases</h4>
<pre>public static&nbsp;java.util.Set&lt;java.lang.String&gt;&nbsp;getAliases()</pre>
</li>
</ul>
<a name="getPrimaryAliases--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPrimaryAliases</h4>
<pre>public static&nbsp;java.util.Set&lt;java.lang.String&gt;&nbsp;getPrimaryAliases()</pre>
</li>
</ul>
<a name="generate-com.sk89q.worldedit.EditSession-com.sk89q.worldedit.math.BlockVector3-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>generate</h4>
<pre>public&nbsp;boolean&nbsp;generate(<a href="../../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit">EditSession</a>&nbsp;editSession,
                        <a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;pos)
                 throws <a href="../../../../com/sk89q/worldedit/MaxChangedBlocksException.html" title="class in com.sk89q.worldedit">MaxChangedBlocksException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/MaxChangedBlocksException.html" title="class in com.sk89q.worldedit">MaxChangedBlocksException</a></code></dd>
</dl>
</li>
</ul>
<a name="getName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getName</h4>
<pre>public&nbsp;java.lang.String&nbsp;getName()</pre>
<div class="block">Get user-friendly tree type name.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a name</dd>
</dl>
</li>
</ul>
<a name="lookup-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>lookup</h4>
<pre>@Nullable
public static&nbsp;<a href="../../../../com/sk89q/worldedit/util/TreeGenerator.TreeType.html" title="enum in com.sk89q.worldedit.util">TreeGenerator.TreeType</a>&nbsp;lookup(java.lang.String&nbsp;name)</pre>
<div class="block">Return type from name. May return null.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - name to search</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a tree type or null</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/sk89q/worldedit/util/TreeGenerator.html" title="class in com.sk89q.worldedit.util"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../com/sk89q/worldedit/util/WeightedChoice.html" title="class in com.sk89q.worldedit.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/sk89q/worldedit/util/TreeGenerator.TreeType.html" target="_top">Frames</a></li>
<li><a href="TreeGenerator.TreeType.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#enum.constant.summary">Enum Constants</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#enum.constant.detail">Enum Constants</a>&nbsp;|&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
